Package org.apache.sysds.runtime.instructions.spark

# Class ParameterizedBuiltinSPInstruction.RDDContainsVectFunction

java.lang.Object
org.apache.sysds.runtime.instructions.spark.ParameterizedBuiltinSPInstruction.RDDContainsVectFunction

All Implemented Interfaces:
  `Serializable`, `org.apache.spark.api.java.function.PairFlatMapFunction<scala.Tuple2<MatrixIndexes,MatrixBlock>,Long,Integer>`

Enclosing class:
  ParameterizedBuiltinSPInstruction

public static class ParameterizedBuiltinSPInstruction.RDDContainsVectFunction extends Object implements org.apache.spark.api.java.function.PairFlatMapFunction<scala.Tuple2<MatrixIndexes,MatrixBlock>,Long,Integer>

See Also:
  - Serialized Form

## Constructor Summary

Constructors
Constructor
Description
`RDDContainsVectFunction(PartitionedBroadcast<MatrixBlock> bc, int blocksize)`

## Method Summary

Modifier and Type
Method
Description
`Iterator<scala.Tuple2<Long,Integer>>`
`call(scala.Tuple2<MatrixIndexes,MatrixBlock> input)`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### RDDContainsVectFunction

public RDDContainsVectFunction(PartitionedBroadcast<MatrixBlock> bc, int blocksize)

## Method Details

### call

public Iterator<scala.Tuple2<Long,Integer>> call(scala.Tuple2<MatrixIndexes,MatrixBlock> input) throws Exception

Specified by:
  `call` in interface `org.apache.spark.api.java.function.PairFlatMapFunction<scala.Tuple2<MatrixIndexes,MatrixBlock>,Long,Integer>`
Throws:
  `Exception`